# Uses of Interface
org.eclipse.ant.core.IAntClasspathEntry

Packages that use IAntClasspathEntry
Package
Description
org.eclipse.ant.core
Provides support for running the Ant build tool in the platform.

## Uses of IAntClasspathEntry in org.eclipse.ant.core

Methods in org.eclipse.ant.core that return IAntClasspathEntry
Modifier and Type
Method
Description
`IAntClasspathEntry[]`
AntCorePreferences.`getAdditionalClasspathEntries()`
Returns the set of classpath entries that the user has added to the Ant runtime classpath.
`IAntClasspathEntry[]`
AntCorePreferences.`getAntHomeClasspathEntries()`
Returns the set of classpath entries that compose the libraries added to the Ant runtime classpath from the Ant home location.
`IAntClasspathEntry[]`
AntCorePreferences.`getContributedClasspathEntries()`
Returns all contributed classpath entries via the `extraClasspathEntries` extension point.
`IAntClasspathEntry[]`
AntCorePreferences.`getDefaultAntHomeEntries()`
Returns the array of classpath entries that is the default set of entries defining the Ant classpath.
`IAntClasspathEntry`
AntCorePreferences.`getToolsJarEntry()`
Returns the `IAntClasspathEntry` for the tools.jar associated with the System property "java.home" location.
`IAntClasspathEntry`
AntCorePreferences.`getToolsJarEntry(IPath javaHomePath)`
Returns the IAntClasspathEntry for the tools.jar associated with the path supplied.
Methods in org.eclipse.ant.core with parameters of type IAntClasspathEntry
Modifier and Type
Method
Description
`void`
AntCorePreferences.`setAdditionalClasspathEntries(IAntClasspathEntry[] entries)`
Sets the set of classpath entries that the user has added to the Ant runtime classpath.
`void`
AntCorePreferences.`setAntHomeClasspathEntries(IAntClasspathEntry[] entries)`
Sets the set of classpath entries that compose the libraries added to the Ant runtime classpath from the Ant home location.